Skip to content

Forgot Password

POST
/api/v1/auth/forgot-password
curl --request POST \
--url https://api.qeychain.xyz/api/v1/auth/forgot-password \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com" }'

Send a password reset email. Always returns success (no email enumeration).

The reset link expires in 1 hour.

Media typeapplication/json
ForgotPasswordRequest
object
email
required
Email
string format: email
Examplegenerated
{
"email": "hello@example.com"
}

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}